Details

      Description

      [zlib issue #275](https://github.com/madler/zlib/issues/275) tracks an issue in `zlib 1.2.11` that may impact applications using the `java.util.zip.Deflater` API when this version of `zlib` is installed (Ubuntu 17.04 for example). Specifically, it may impact code that changes the compression level or strategy and then resets the deflater. More details can be found in JDK-8184306. The JDK includes a patched version of `zlib` on Microsoft Windows so this issue does not impact that platform.

        Attachments

          Activity

            People

            Assignee:
            alanb Alan Bateman
            Reporter:
            alanb Alan Bateman
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: